🔥 RapidWeaver 8.4 and macOS Catalina Plugin Compatibility

Hey there @CappyD – Listen to @teefers. He speaks the truth. Foundry is unaffected. :smiley:

3 Likes

cool… thanks guys!

Plenty of fear mongering going around.

Will some folks have issues? Of course.
Will most not have issues? Certainly. They just don’t pipe up and say how everything is working as expected.

Do your homework (as others have suggested) and see what apps you might lose with the move to 64bit apps.

@dan and @Tom say 8.4 is good to go! @isaiah has provided an update on his products. Other plugins, check with the devs.

Party on, Garth!

2 Likes

I updated straight away and all is good. I’m using the same version of RW I had before the update and it works fine.

1 Like

Hi Nigel,

Hi Nigel, thanks for the confirmation. It’s good to have a solid data point.

Can you confirm which version of RapidWeaver and Stacks you have installed. Other users can fall back to that version if they need to.

Here’s a screenshot showing where to look to find the version numbers.

I was on Version 8.3 (20799) Stacks -

Today I updated to 8.4! Bin that I just saw that Foundry accordions and tabs were not working correctly in last version. Only just tested those.

Now on Version 8.4 (20812) Stacks 4.0.3 (4795) - ignored plugin warnings and all seems good. Im doing some rebel work today so will see what if anything breaks.

1 Like

Hi, So far I can’t get Weaverpix, Formloom 4, Ecwid on line, Waterfall and PlusKit to work. Any suggestions?

This from Greg about Weaverpix:

WeaverPix v1, v2 and v3 + Catalina

I just updated RW on Catalina. Stacks is not installed. It is present in my Application Support file, but I don’t know how to get it back into the Preferences under the Stacks tab, so I guess I can go download it again on the page.

I hit find out more and was brought to the stacks page and it appears I am suppose to pay another $49.95 for Stacks.rapidweaverplugin

How do I fix this mess?

Don’t worry, both Stacks 3 and Stacks 4 are Catalina compatible. In fact all our plugins are.

There is absolutely nothing to buy to get Catalina compatible.

If you already own a license to Stacks 4 then just go to the Stacks page, click the big Download button, and follow the installation instructions, and you’re good to go.

If you’re still using Stacks 3, that’s OK too. At the bottom of every page on our site is a link to our plugin archive of all the older versions. Just click through to the Stacks archive page and download the latest Stacks 3. I think it’s v3.6.8 – it’s Catalina compatible too.

And just to be clear, we will never charge a fee just to fix bugs or make our software work with the latest OS.

Stacks is made by me and my wife. That’s it. And just like you we hate companies that pull sleazy stuff like that. Since Stacks launched 11 years ago we’ve charged only three times, and always when we added a ton of new features.

Make sure to update any of our other plugins too. Yep. All free updates for Catalina.

6 Likes

This is exactly why so many people love not just your stacks Isaiah but YourHead as a company. Honesty. Quality. Humility. Integrity.

3 Likes

Heyo,

anyone have a link for SiteMap 3.2? That is the only plugin that i am having issues with on Catalina (still have 3.1.1 installed).

thank you,

ap

1 Like

I believe it still may be in beta: Blocks and Flow and Accordion and …
There is a link to the beta of Sitemap 3.2 on Isaiah’s Slack channel (the link to that is also in the topic I linked above)

1 Like

I have yet to upgrade to Catalina and might do it soon, maybe after 10.15.1 is released. I think most of my plugins are fine except FormLoom is still version 3 for me. Also I’m still running RapidWeaver 7 too. Anyone know if RW7 runs okay in Catalina?

I just haven’t been doing a lot of web work in the last year or 2 to justify upgrading anything, but if it’s an issue with compatibility with Catalina then I’ll have to bite the bullet.

Hi folks,

Matt from Ecwid here. We just updated the Ecwid plugin. It now should work fine with MacOS Catalina. Sorry for keeping you waiting.

Cheers,

2 Likes

Since I have upgraded to 8.4, the Side Bar has become intermittent. Mostly, the data I have there appear in edit mode and I cannot add data to the side bar. When I close rapid weaver and reopen it, the side bar info shows up for maybe one or two pages, then goes away.,

I have the latest update of Both Rapid Weaver 8.4 and Stacks on a MacBook Pro (mid 2012) with macOS Catalina V10.15

I confirm all Foreground plugins are already compatible with macOS 10.15 Catalina since September.
Latest RapidCart Pro 4, RapidMaps 4 and RapidBot 3 versions can be downloaded in our Downloads page.

1 Like

@rob great, I’ll update the post!

1 Like